###################################################
### chunk number 1: preliminaries
###################################################
options(prompt = "R> ")


###################################################
### chunk number 2: mosaics-prelim
###################################################
library("mosaics")


###################################################
### chunk number 3: mosaics-prelim
###################################################
data(bin1)
data(fit1)


###################################################
### chunk number 4: os-readbin eval=FALSE
###################################################
## bin1 <- readBins( type=c("chip","M","GC","N"),
##     fileName=c("./chip_chr22.txt","./M_chr22.txt","./GC_chr22.txt","./N_chr22.txt") )


###################################################
### chunk number 5: os-bindata-show
###################################################
bin1


###################################################
### chunk number 6: os-bindata-print
###################################################
print(bin1)[1:10,]


###################################################
### chunk number 7: os-bindata-plot eval=FALSE
###################################################
## plot( bin1, plotType="M" )
## plot( bin1, plotType="GC" )
## plot(bin1)  


###################################################
### chunk number 8: fig-bindata-plot-M
###################################################
plot( bin1, plotType="M" )


###################################################
### chunk number 9: fig-bindata-plot-GC
###################################################
plot( bin1, plotType="GC" )


###################################################
### chunk number 10: fig-bindata-plot-hist
###################################################
plot(bin1)


###################################################
### chunk number 11: os-mosaicsfit eval=FALSE
###################################################
## fit1 <- mosaicsFit( bin1, analysisType="OS" )


###################################################
### chunk number 12: os-mosaicsfit-show
###################################################
fit1


###################################################
### chunk number 13: os-mosaicsfit-plot eval=FALSE
###################################################
## plot(fit1)


###################################################
### chunk number 14: fig-mosaicsfit-plot
###################################################
plot(fit1)


###################################################
### chunk number 15: os-mosaicspeak
###################################################
peak1 <- mosaicsPeak( fit1, signalModel="2S", FDR=0.05, maxgap=200, minsize=50, thres=10 )


###################################################
### chunk number 16: os-mosaicspeak-show
###################################################
peak1


###################################################
### chunk number 17: os-mosaicspeak-print
###################################################
print(peak1)[1:10,]


###################################################
### chunk number 18: os-mosaicspeak-export eval=FALSE
###################################################
## export( peak1, type="txt", fileLoc="./", fileName="OSpeakList.txt", chrID="chr22" )
## export( peak1, type="bed", fileLoc="./", fileName="OSpeakList.bed", chrID="chr22" )
## export( peak1, type="gff", fileLoc="./", fileName="OSpeakList.gff", chrID="chr22" )


###################################################
### chunk number 19: ts-readbin eval=FALSE
###################################################
## bin2 <- readBins( type=c("chip","M","GC","N","input"),
##     fileName=c("./chip_chr22.txt","./M_chr22.txt","./GC_chr22.txt",
##     	"./N_chr22.txt","./Input_chr22.txt") )


###################################################
### chunk number 20: ts-bindata-plot eval=FALSE
###################################################
## plot( bin1, plotType="input" )
## plot( bin1, plotType="M|input" )
## plot( bin1, plotType="GC|input" )


###################################################
### chunk number 21: ts-mosaicsfit eval=FALSE
###################################################
## fit2 <- mosaicsFit( bin2, analysisType="TS" )


###################################################
### chunk number 22: ts-mosaicspeak eval=FALSE
###################################################
## peak2 <- mosaicsPeak( fit2, signalModel="2S", FDR=0.05, maxgap=200, minsize=50, thres=10 )


###################################################
### chunk number 23: io-mosaicsfit eval=FALSE
###################################################
## fit3 <- mosaicsFit( bin2, analysisType="IO" )


###################################################
### chunk number 24: io-readbin eval=FALSE
###################################################
## bin4 <- readBins( type=c("chip","input"), fileName=c("./chip_chr22.txt","./Input_chr22.txt") )
## fit4 <- mosaicsFit( bin4, analysisType="IO" )


###################################################
### chunk number 25: tuning-ts eval=FALSE
###################################################
## fit3_ts <- mosaicsFit( bin2, analysisType="TS", s=2, d=0.25 )


###################################################
### chunk number 26: tuning-io eval=FALSE
###################################################
## fit3_io <- mosaicsFit( bin2, analysisType="IO", d=0.25 )


